Page MenuHomePhabricator

[OpenMP] Minor improvement in task allocation
ClosedPublic

Authored by hbae on Jul 9 2021, 10:27 AM.

Details

Summary

This patch includes a few changes to improve task allocation
performance slightly. These changes are enough to restore performance
drop observed after introducing hidden helper.

Diff Detail

Event Timeline

hbae created this revision.Jul 9 2021, 10:27 AM
hbae requested review of this revision.Jul 9 2021, 10:27 AM
tianshilei1992 added a subscriber: tianshilei1992.EditedJul 10 2021, 7:17 PM

I can understand the point of setting flag by direct copy, but does inline really help a lot here, or say really inline the function?

hbae updated this revision to Diff 357967.Jul 12 2021, 9:41 AM

Undo the change that introduce __kmp_task_alloc_impl since the outcome may vary depending on the build compiler.

tianshilei1992 accepted this revision.Jul 12 2021, 4:50 PM

LGTM. Thanks!

This revision is now accepted and ready to land.Jul 12 2021, 4:50 PM
This revision was automatically updated to reflect the committed changes.